Bug 1033530 (CVE-2013-6383)

Summary: CVE-2013-6383 Kernel: AACRAID Driver compat IOCTL missing capability check
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, aquini, bhu, dhoward, esammons, fhrbata, iboverma, jkacur, jkurik, jross, kernel-mgr, lgoncalv, lwang, matt, mcressma, pholasek, plougher, pmatouse, rvrbovsk, security-response-team, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131122,reported=20131120,source=distros,cvss2=6.2/AV:L/AC:H/Au:N/C:C/I:C/A:C,rhel-5/kernel=affected,rhel-6/kernel=affected,rhel-7/kernel=notaffected,mrg-2/realtime-kernel=affected,fedora-all/kernel=notaffected,rhel-6.4.z/kernel=affected,rhel-5.9.z/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-03 07:18:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1033531, 1033532, 1033533, 1033534, 1033535, 1033536, 1052145, 1073806    
Bug Blocks: 1030970    

Description Prasad J Pandit 2013-11-22 05:28:46 EST
Linux kernel built with the Adaptec RAID controller support(CONFIG_SCSI_AACRAID)
along with the compat mode(CONFIG_COMPAT), is vulnerable due to a missing
capability check in a compat ioctl routine. This could lead to undue usage of
restricted operations by users.

A user/program could use this flaw to perform protected operations via compat
ioctl route.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/f856567b930dfcdbc3323261bf77240ccdde01f5

Reference:
----------
 -> https://secunia.com/advisories/55562/
Comment 1 Prasad J Pandit 2013-11-22 05:31:41 EST
Statement:

(none)
Comment 5 errata-xmlrpc 2014-01-28 12:41:05 EST
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0100 https://rhn.redhat.com/errata/RHSA-2014-0100.html
Comment 7 errata-xmlrpc 2014-03-12 14:29:47 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0285 https://rhn.redhat.com/errata/RHSA-2014-0285.html
Comment 8 errata-xmlrpc 2014-05-07 14:46:40 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0475 https://rhn.redhat.com/errata/RHSA-2014-0475.html
Comment 9 errata-xmlrpc 2014-05-07 15:08:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.9 EUS - Server Only

Via RHSA-2014:0476 https://rhn.redhat.com/errata/RHSA-2014-0476.html
Comment 12 errata-xmlrpc 2014-06-04 13:07:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:0634 https://rhn.redhat.com/errata/RHSA-2014-0634.html